#!/bin/awk -f

# A script to externalize static inlines from .h files.
# This is necessary due to the different compilation strategy
# employed for Plan 9's micro-ops library.

# Much thanks to the author, David Eckhardt.

# "Save me, Penelope Pitstop!!"

BEGIN { mode=0 };

(mode == 0) {
	if ($0 ~ /^static inline /) {
		sub(/^static /, "");
		mode = 1;
    }
	print $0; next;
}

(mode == 1) {
	if($0 ~ /^\{/) {
		print "#ifndef PLAN9_STATICS_PROTOS";
		mode = 2;
	}
	print $0; next;
}

(mode == 2) {
	print $0;
	if ($0 ~ /^}/) {
		mode = 0;
		print "#else /* PLAN9_STATICS_PROTOS */";
		print ";";
		print "#endif /* PLAN9_STATICS_PROTOS */";
		next;
	}
}
