/* This is mostly here to allow us to link the assembler ops regardless of what
 * else we link against when producing the micro-ops library.  Fundamentally,
 * the assemblers aren't capable of emitting the typed information the loader
 * wants when emitting dlms.  This file contains just enough to allow us to do
 * what we need.
 */

extern long __op_gen_label1;
extern long __op_gen_label2;
extern long __op_gen_label3;

extern int __op_param1;
extern int __op_param2;
extern int __op_param3;

void __op_p9_push(void);
void __op_p9_storestack(void);

void __op_plan9_dummy(void){
    /* We just need to mention these so that the C compiler gives them types */
    __op_param1 = 0;
    __op_param2 = 0;
    __op_param3 = 0;
    __op_gen_label1 = 0;
    __op_gen_label2 = 0;
    __op_gen_label3 = 0;
}
